@import '../../theme/styles/config';

.header {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  height: 100px;
  z-index: 12;
  background-color: $primary-color;

  &__content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;

    @include mobile {
      flex-wrap: wrap;
      padding-bottom: 8px;
    }
  }

  &__logo {
    display: flex;
    align-items: center;
    justify-content: space-between;

    &_title {
      display: flex;
      flex-direction: column;
      color: #fff;

      &-main {
        font-size: 36px;
        font-weight: bold;
        text-transform: uppercase;
      }

      &-subtitle {
        padding-top: 3px;
        font-size: 18px;
        font-weight: bold;
        text-transform: lowercase;
        text-align: center;
      }
    }

    &_img {
      width: 80px;
      height: 80px;

      &-wrapper {
        @include flex-centering;
        //margin-left: 20px;
        margin-right: 20px;
      }
    }
  }

  &__order {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    font-size: 24px;
    color: #fff;

    &_text {
      width: 40%;
      display: inline-block;
    }

    &_tel {
      font-size: 30px;
      color: #fff;
    }
  }

  & > .loader-wrapper {
    @include tablet {
      display: none;
    }
  }
}